AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Update a debit or credit card token

Update the details stored on a customer's card token.

Last updated 13 September 2026

put

https://api.flutterwave.com/v3/tokens/{token}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

token string required
This is the card token returned from the transaction verification endpoint as data.card.token

FILL IN ALL REQUIRED FIELDS

email string required
The customer's email address.

phone_number string required
This is the mobile number of the customer making the payment.

first_name string required
This is the first name of the customer making the payment

last_name string required
This is the last name of the customer making the payment.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

email string

fullname string

phone_number string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys